Create Checkout Session

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This request creates a checkout session using the unique identifier generated when the customer resource was created.

📘

If your workflow requires sending the additional_data object, it can be sent as part of the checkout session.

Body Params
string

The unique identifier of the customer, created using the Create Customer endpoint (UUID, 36 chars).

string
required

The unique identifier of the customer's order (MAX 255; MIN 3).

string
required

The description of the payment (MAX 255; MIN 3).

string

The URL where we will redirect your customer after making the purchase. Required for alternative payment methods with redirection. (MAX 526; MIN 3)

string
enum
required

The customer's country (MAX 2; MIN 2; ISO 3166-1).

string
required

The unique identifier of the account. You find this information on the Yuno dashboard (UUID, 36 chars).

amount
object

Specifies the payment amount object, with the value and currency.

alternative_amount
object

Alternative currency representation of the transaction amount.

metadata
array of objects

Specifies a list of metadata objects. You can add up to 120 metadata objects.

metadata
string
enum

Checkout workflow type.

Allowed:
installments
object

The object to send the installment plan created in Yuno to show your customers and let them choose from. This optional field is used in case a particular installments plan needs to be used in the session. if not sent, we will display the installment plan created for the account for each scenario, if any.

recurring_payment
object

Optional object to enable and configure recurring payments (subscriptions).

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json